## com.lowagie.text.rtf.list
Class RtfListItem

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfPhrase
              com.lowagie.text.rtf.text.RtfParagraph
                  com.lowagie.text.rtf.list.RtfListItem

All Implemented Interfaces:
  RtfBasicElement

public class RtfListItem
extends RtfParagraph

The RtfListItem acts as a wrapper for a ListItem.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary

Fields inherited from class com.lowagie.text.rtf.text.RtfParagraph
`ALIGN_CENTER, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_RIGHT, INDENT_LEFT, INDENT_RIGHT, KEEP_TOGETHER, KEEP_TOGETHER_WITH_NEXT, PARAGRAPH`

Fields inherited from class com.lowagie.text.rtf.text.RtfPhrase
`chunks, IN_TABLE, LINE_SPACING, lineLeading, PARAGRAPH_DEFAULTS`

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfListItem(RtfDocument doc, ListItem listItem)` Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

Method Summary
`byte[]` `write()` Writes the content of this RtfListItem.

Methods inherited from class com.lowagie.text.rtf.text.RtfParagraph
`getIndentLeft, getIndentRight, setIndentLeft, setIndentRight, setKeepTogetherWithNext`

Methods inherited from class com.lowagie.text.rtf.text.RtfPhrase
`setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfListItem

    public RtfListItem(RtfDocument doc,
                       ListItem listItem)

  Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

Parameters:
  `doc` - The RtfDocument this RtfListItem belongs to.
  `listItem` - The ListItem this RtfListItem is based on.

Method Detail

### write

    public byte[] write()

  Writes the content of this RtfListItem.

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfParagraph`
  Returns:
    A byte array with the content of this RtfListItem.